#!/bin/bash

CNUT_HOME="$(pwd)"

if [ -z "$CNUT_HOME" ]; then
  CNUT_HOME="$(pwd)"
fi

THIRD_PARTY_PATH="$CNUT_HOME/3rdParty/Java"
THIRD_PARTY_LIBS="$THIRD_PARTY_PATH/pfLib/pf.jar:$THIRD_PARTY_PATH/snmp4j/snmp4j-1.11.2.jar:$THIRD_PARTY_PATH/snmp4j/log4j-1.2.14.jar:$THIRD_PARTY_PATH/westhawk/snmp4_13.jar:$THIRD_PARTY_PATH/mibble-2.3/mibble-2.3.jar:$THIRD_PARTY_PATH/mibble-2.3/grammatica-1.4.jar:$THIRD_PARTY_PATH/apache/commons-net-1.2.2/commons-net-1.2.2.jar:$THIRD_PARTY_PATH/apache/commons-logging-1.0.4/commons-logging.jar:$THIRD_PARTY_PATH/apache/commons-codec-1.3/commons-codec-1.3.jar:$THIRD_PARTY_PATH/apache/httpcomponents-client-4.0.3/httpclient-4.0.3.jar:$THIRD_PARTY_PATH/apache/httpcomponents-client-4.0.3/httpcore-4.0.1.jar:$THIRD_PARTY_PATH/apache/httpcomponents-client-4.0.3/httpmime-4.0.3.jar:$THIRD_PARTY_PATH/apache/httpcomponents-client-4.0.3/apache-mime4j-0.6.jar:$THIRD_PARTY_PATH/bcprov/bcprov-jdk16-146.jar:$THIRD_PARTY_PATH/bcprov/activation-1.1.1.jar"

HELP_CMD="xdg-open help/index.htm"
export PATH="$CNUT_HOME/_jvm/bin:$PATH"

mkdir -p "$CNUT_HOME/logs"

java -Xms128m -Xmx512m \
  -cp "$CNUT_HOME/jars/CanopyUtility.jar:$CNUT_HOME/jars/NetUtility.jar:$CNUT_HOME/jars/CanopyNetworkUpdater.jar:$THIRD_PARTY_LIBS" \
  -DLOG_SEVERITY_LEVEL="INFO" \
  -DHelpCommand="$HELP_CMD" \
  -DCANOPY_NETWORK_UPDATER_HOME="$CNUT_HOME" \
  com.mot.canopy.CanopySWUpdater.GUI.JWndMain 2>&1
